#! /usr/bin/csh -f
#
# @\@@F Tables & Figures -- nCiNωy[W̍쐬
# s@F csh am.csh [N] [fBNg]
#

# ϐ̐ݒ --------------------------------------------------
set yyyy = $argv[1]
set dir = $argv[2]
set odir = $dir"/AnnualReport"$yyyy

# ϑ_ɔNϒly[W쐬 --------------------------------
foreach obs (kak mmb kny cbi)
    set ifile = ../am/am_$obs
    set ofile = $odir/yearbook/tab/am/am_$obs
	awk '{\
	    buf[NR]=$0\
	}\
 	    END{\
	    print "<html>"\
	    print "<head>"\
	    print "<base target=\"_self\">"\
	    print "</head>"\
	    print "<body bgcolor=\"#ffffff\">"\
	    printf("<p style=\"border-bottom-style: double; border-bottom-color: #000080\">")\
	    printf("<font color=\"#000080\" size=\"6\">")\
	    printf("Summary of Annual Means")\
	    printf "</font></p>"\
	    print "</table>"\
	    print "<p>&nbsp;</p>"\
	    print "<pre>"\
	    for(i=4;i<=NR;i++){\
 	    print buf[i]\
	    }\
	    print "</pre>"\
	    print "<p>&nbsp;</p>"\
	    print "</body>"\
	    print "</html>"\
	}' $ifile.txt >! $ofile.html
	\cp $ifile.txt $odir/yearbook/tab/am/
    echo -n "|"
end
echo "|"

# ɉiNωOty[W쐬 --------------------------------
foreach comp (h d z f)
    set ofile = $odir/yearbook/fig/am/am_$comp
	echo "<html>" >! $ofile.html
	echo '<body bgcolor="#ffffff">' >> $ofile.html
	echo '<p style="border-bottom-style: double; border-bottom-color: #000080">' >> $ofile.html
	echo '<font color="#000080" size="6">' >> $ofile.html
	echo 'Summary Plot of Annual Means' >> $ofile.html
	echo '</font></p>' >> $ofile.html
	echo '<p>&nbsp;</p>' >> $ofile.html
	echo '<img border="0" src="am_'$comp'.gif" width="90%">' >> $ofile.html
	echo '</body>' >> $ofile.html
	echo '</html>' >> $ofile.html
	\cp ../am/am_$comp.gif $odir/yearbook/fig/am/
echo -n "|"
end
echo "|"
