#! /usr/bin/csh -f
#
# @\@@F Tables & Figures -- Kw\y[W̍쐬
# s@F ktable.csh [N] [fBNg]
#

# ϐ̐ݒ --------------------------------------------------------
set yyyy = $argv[1]
set dir=$argv[2]
set odir = $dir"/AnnualReport"$yyyy
set kfile = /db/k/k$yyyy.dat

# ʃt@C1N܂Ƃ߂ ----------------------------------------
if(! -f $kfile)then
  cat /db/k/k$yyyy/k$yyyy??.dat >! $kfile
endif

# Sn_Kw\t@C̍쐬 --------------------------------------
knenpo <<EOF
$yyyy
n
EOF

cp $RTNWORK/nenpok.out ktable.tmp
onintr label

# ϑ_ʂɏ ----------------------------------------------------
foreach obs (kak mmb kny)

# ey[W̐擪ƍŌ̍sԍ𒲂ׂ --------------------------------
    set chk1 = `awk '{if($1=="Day"){print NR}}' ktable.tmp`
    set chk2 = `awk '{if($1=="Mean"){print NR}}' ktable.tmp`

# ϑ_̕ϐݒ -----------------------------------------------
    switch ($obs)
	case kak:
	    set obsnm = "KAKIOKA"
	    @ spc = 23
            @ b = $chk1[1] -  3
            @ e = $chk2[4] + 1
	    breaksw
	case mmb:
	    set obsnm = "MEMAMBETSU"
	    @ spc = 25
            @ b = $chk1[5] -  3
            @ e = $chk2[8] + 1
	    breaksw
	case kny:
	    set obsnm = "KANOYA"
	    @ spc = 23
            @ b = $chk1[9] -  3
            @ e = $chk2[12] + 1
	    breaksw
    endsw

# ϑ_Kw\t@C쐬 -------------------------------------
    set ifile = $obs.tmp
    awk '{if(NR>=b && NR<=e){print $0}}' b=$b e=$e ktable.tmp >! $ifile
    set ofile = $odir/yearbook/tab/k/k$yyyy$obs

# ey[W̐擪ƍŌ̍sԍ𒲂ׂ ---------------------------------
    set chk1 = `awk '{if($1=="Day"){print NR}}' $ifile`
    set chk2 = `awk '{if($1=="Mean"){print NR}}' $ifile`

# ϑ_Kw\y[W쐬 ----------------------------------------
    echo "" >! $ofile.txt
    repeat $spc echo -n " " >> $ofile.txt
    echo "Three-Hour-Range Indices, K," $obsnm $yyyy >> $ofile.txt

# wb_[t@Cɒǉ ---------------------------------------------
    awk '{\
	if(NR==chk1-3){print "\n\n",$0,"\n";exit}\
        }' chk1=$chk1[1] $ifile >> $ofile.txt
    @ i=0

# Kwf[^t@Cɒǉ ------------------------------------------
    while($i<$#chk1)
	@ i++
        awk '{\
            if(NR>chk2){exit}\
            if(NR>=chk1-1 && NR<=chk2){\
                print $0\
            }\
        }' chk1=$chk1[$i] chk2=$chk2[$i] $ifile >> $ofile.txt

# HTMLy[Wpꎞt@C쐬 ---------------------------------------
	cp $ofile.txt $ofile.tmp

# st@Cɒǉ --------------------------------------------------
	repeat 3 echo "" >> $ofile.txt

# HTMLt@C쐬 ---------------------------------------------------
	    awk '{\
		buf[NR]=$0\
	    }\
	    END{\
		print "<html>"\
		print "<head>"\
		print "<base target=\"_self\">"\
		print "</head>"\
		print "<body bgcolor=\"#ffffff\">"\
		printf("<p style=\"border-bottom-style: double; border-bottom-color: #000080\">")\
		printf("<font color=\"#000080\" size=\"6\">")\
		printf("3-Hour-Range Indices, K")\
		printf "</font></p>"\
		print "<p>&nbsp;</p>"\
#\
# Kwf[^t@Cɒǉ ----------------------------------------- \
		print "<pre>"\
		for(i=1;i<=NR;i++){\
		    print buf[i]\
		}\
		print "</pre>"\
#\
# HTMLt@C̏I --------------------------------------------- \
		print "<p>&nbsp;</p>"\
		print "</body>"\
		print "</html>"\
	    }' $ofile.tmp >! $ofile.html
		\rm $ofile.tmp
	echo -n "|"
    end
end
echo "|"
label:
\rm *.tmp
