#! /usr/bin/csh -f
#
# @\@@F Tables & Figures -- nC1Ԓl\y[W̍쐬
# s@F mhtable.csh [N] [fBNg]
#

# ϐ̐ݒ ---------------------------------------------
set yyyy = $argv[1]
set dir=$argv[2]
set ifile = mhtable.tmp
set bfile = $HOME/rtn/src/magh/nenpo/nenpobase.prm
set odir = $dir"/AnnualReport"$yyyy

# nC1Ԓl\̍쐬 -----------------------------------
magh4 <<EOF
$yyyy
1
n
EOF

# nC1Ԓl\y[W(HTML)̍쐬 -----------------------
echo "HTMLɕϊ..."
cp $RTNWORK/nenpo.out ./$ifile
onintr label
set base = `cat $bfile`

sed 's/ UT/UTC/g' $ifile >! temp.tmp
onintr label

foreach obs (kak mmb kny cbi)

# y[WPʂ̐擪ƍŌ̍sԍ𒲂ׂ ----------------------------------------
    set chk1 = `awk '{if($1=="UTC"){print NR}}' temp.tmp`
    set chk2 = `awk '{if(($1=="MEAN" && $2=="D")||$1=="YEAR"){print NR}}' temp.tmp`

# ϑ_̕ϐݒ ---------------------------------------------------------
    switch ($obs)
	case kak:
	    set obsnm = "KAKIOKA"
	    set ifile = kak.tmp
	    set bn = 1
	    set brnk = 107
	    @ b = $chk1[1] -  8
	    @ e = $chk2[69] + 1
	    breaksw
	case mmb:
	    set obsnm = "MEMAMBETSU"
	    set ifile = mmb.tmp
	    set bn = 8
	    set brnk = 104
	    @ b = $chk1[70] -  8
	    @ e = $chk2[138] + 1
	    breaksw
	case kny:
	    set obsnm = "KANOYA"
	    set ifile = kny.tmp
	    set bn = 15
	    set brnk = 108
	    @ b = $chk1[139] -  8
	    @ e = $chk2[207] + 1
	    breaksw
	case cbi:
	    set obsnm = "CHICHIJIMA"
	    set ifile = cbi.tmp
	    set bn = 22
	    set brnk = 104
	    @ b = $chk1[208] -  8
	    @ e = $chk2[276] + 1
	    breaksw
    endsw

# ϑ_Ƀt@C𕪊 ------------------------------------------------------
    awk '{if(NR>=b && NR<=e){print $0}}' b=$b e=$e temp.tmp >! $ifile

# y[WPʂ̐擪ƍŌ̍sԍ𒲂ׂ -----------------------------------------
    set chk1 = `awk '{if($1=="UTC"){print NR}}' $ifile`
    set chk2 = `awk '{if(($1=="MEAN" && $2=="D")||$1=="YEAR"){print NR}}' $ifile`

# EƂ̃y[W쐬i48y[W=4~12j-----------------------------
    @ i=1
    while($i<48)

# ̕ϐݒ ------------------------------------------------------------
	switch ($i)
	    case 1:
		set title = "Declination"
		set comp = d
		set unt = " deg"
		set brkt1 = "( ("
		set brkt2 = "+ Tabulated Values in 0.1 min ) West )"
		set spc1 = 46
		set spc2 = 36
		@ bv = 0
		breaksw
	    case 13:
		set title = "Horizontal Intensity"
		set comp = h
		set unt = ""
		set brkt1 = "("
		set brkt2 = "+ Tabulated Values in nT )"
		set spc1 = 42
		set spc2 = 43
		@ bv = 1
		breaksw
	    case 25:
		set title = "Vertical Intensity"
		set comp = z
		set unt = ""
		set brkt1 = "("
		set brkt2 = "+ Tabulated Values in nT )"
		set spc1 = 43
		set spc2 = 43
		@ bv = 2
		breaksw
	    case 37:
		set title = "Total Force"
		set comp = f
		set unt = ""
		set brkt1 = "("
		set brkt2 = "+ Tabulated Values in nT )"
		set spc1 = 46
		set spc2 = 43
		@ bv =3
		breaksw
	endsw

# eɂ12 ----------------------------------------------
	foreach mm (01 02 03 04 05 06 07 08 09 10 11 12)
	    set ofile = $odir/yearbook/tab/mag/mh$yyyy$mm$obs$comp
	    @ k = $bn + $bv

# ey[W̃wb_[쐬 ----------------------------------------------------
	    echo "" >! $ofile.txt
	    repeat $spc1 echo -n " " >> $ofile.txt
	    echo "Hourly Values of" $title >> $ofile.txt
	    repeat $spc2 echo -n " " >> $ofile.txt
	    echo $brkt1 $base[$k]$unt $brkt2 >> $ofile.txt
	    repeat 3 echo "" >> $ofile.txt

# nCf[^t@Cɒǉ ------------------------------------------------
	    awk '{\
		if(NR>chk2){exit}\
		if(NR>=chk1-1 && NR<=chk2){\
		    print $0\
		}\
	    }' chk1=$chk1[$i] chk2=$chk2[$i] $ifile >> $ofile.txt

# HTMLpꎞt@C̍쐬 --------------------------------------------------
	    cp $ofile.txt $ofile.tmp

# ey[W̃tb^[t@Cɒǉ ------------------------------------------
	    repeat 4 echo "" >> $ofile.txt
	    echo "     Tabulated values are averages for successive hourly period beginning at 00h00m, coordinated universal time." >> $ofile.txt
	    echo "     Hours given in the text all refer to coordinated universal time." >> $ofile.txt
	    echo "     Q=International Quiet Day; D=International Disturbed Day; X=The Day with Missing Hourly Values" >> $ofile.txt
	    echo "" >> $ofile.txt

# HTMLt@C̍쐬 --------------------------------------------------------
	    awk '{\
		buf[NR]=$0\
 	    }\
 	    END{\
 		print "<html>"\
 		print "<head>"\
 		print "<base target=\"_self\">"\
 		print "<style>"\
 		print "<\!--"\
 		print "a:link {"\
 		print "color: #000099;"\
 		print "}"\
 		print "a:active {"\
 		print "color: #000099;"\
 		print "}"\
 		print "a:visited {"\
 		print "color: #000099;"\
 		print "}"\
 		print "a:hover {"\
 		print "color: #99ffff;"\
 		print "}"\
 		print "-->"\
 		print "</style>"\
 		print "</head>"\
 		print "<body bgcolor=\"#ffffff\">"\
 		printf("<p style=\"border-bottom-style: double; border-bottom-color: #000080\">")\
 		printf("<font color=\"#000080\" size=\"6\">")\
 		printf("Hourly Values of %s",ttl)\
 		printf "</font></p>"\
 		printf("<table border=\"0\" width=\"100%\">")\
 		print "<tr><td width=\"50%\" align=\"left\">"\
#\
# ǑǍvZ ----------------------------------------------------------- \
 		pmon = mon - 1\
 		nmon = mon + 1\
 		if(pmon<10){pmon="0"pmon}\
 		if(nmon<10){nmon="0"nmon}\
#\
# Ǒ̃y[Wւ̃N쐬 -------------------------------------------------- \
 		if(pmon>0){\
 		    printf("<a href=\"mh%4s%2s%3s%1s.html\"><b>&lt;&lt; Previous Month</b></a>",year,pmon,obs,comp)\
 		}\
		print "</td>"\
 		print "<td width=\"50%\" align=\"right\">"\
#\
# ̌̃y[Wւ̃N쐬 -------------------------------------------------- \
 		if(nmon<13){\
 		    printf("<a href=\"mh%4s%2s%3s%1s.html\"><b>Next Month &gt;&gt;</b></a>",year,nmon,obs,comp)\
 		}\
 		print "</td>"\
 		print "</tr>"\
 		print "</table>"\
#\
# nCf[^HTMLt@Cɒǉ ----------------------------------------------- \
 		print "<pre>"\
 		for(i=1;i<=NR;i++){\
 		    print buf[i]\
 		}\
 		print "</pre>"\
#\
# ey[W̃tb^[HTMLt@Cɒǉ ----------------------------------------- \
		print "<p>&nbsp;</p>"\
 		printf("<p style=\"margin-left: 5%\">")\
 		printf("Tabulated values are averages for successive hourly period beginning at 00h00m, coordinated universal time.<br>")\
		printf("Hours given in the text all refer to coordinated universal time.<br>")\
		printf("Q=International Quiet Day; D=International Disturbed Day; X=The Day with Missing Hourly Values")\
#\
# HTMLt@C̏I ------------------------------------------------------- \
 		print "</p>"\
 		print "</body>"\
 		print "</html>"\
	    }' "ttl=$title" "year=$yyyy" "mon=$mm" "obs=$obs" "comp=$comp" $ofile.tmp >! $ofile.html
		\rm $ofile.tmp
	    @ i++
	echo -n "|"
	end
    end

# EρAGߕʕσy[W쐬i21y[W=7~3ށj------------------
    while($i<69)

# ̕ϐݒ ------------------------------------------------------------
	switch ($i)
	    case 49:
		set title = "Declination"
		set comp = d
		set unt = " deg"
		set brkt1 = "( ("
		set brkt2 = "+ Tabulated Values in 0.1 min ) West )"
		set spc1 = 46
		set spc2 = 36
		@ bv = 0
		breaksw
	    case 52:
		set title = "Horizontal Intensity"
		set comp = h
		set unt = ""
		set brkt1 = "("
		set brkt2 = "+ Tabulated Values in nT )"
		set spc1 = 42
		set spc2 = 43
		@ bv = 1
		breaksw
	    case 55:
		set title = "Vertical Intensity"
		set comp = z
		set unt = ""
		set brkt1 = "("
		set brkt2 = "+ Tabulated Values in nT )"
		set spc1 = 43
		set spc2 = 43
		@ bv = 2
		breaksw
	    case 58:
		set title = "Total Force"
		set comp = f
		set unt = ""
		set brkt1 = "("
		set brkt2 = "+ Tabulated Values in nT )"
		set spc1 = 46
		set spc2 = 43
		@ bv = 3
		breaksw
	    case 61:
		set title = "Inclination"
		set comp = i
		set unt = " deg"
		set brkt1 = "("
		set brkt2 = "+ Tabulated Values in 0.1 min )"
		set spc1 = 46
		set spc2 = 40
		@ bv = 4
		breaksw
	    case 64:
		set title = "North Component"
		set comp = n
		set unt = ""
		set brkt1 = "("
		set brkt2 = "+ Tabulated Values in nT )"
		set spc1 = 44
		set spc2 = 43
		@ bv = 5
		breaksw
	    case 67:
		set title = "West Component"
		set comp = w
		set unt = ""
		set brkt1 = "("
		set brkt2 = "+ Tabulated Values in nT )"
		set spc1 = 44
		set spc2 = 43
		@ bv = 6
		breaksw
	endsw

# eɂď ------------------------------------------------------
	set ofile = $odir/yearbook/tab/mag/mh$yyyy$obs$comp
	@ k = $bn + $bv

# ey[W̃wb_[쐬 ----------------------------------------------------
	echo "" >! $ofile.txt
	repeat $spc1 echo -n " " >> $ofile.txt
	echo "Hourly Values of" $title >> $ofile.txt
	repeat $spc2 echo -n " " >> $ofile.txt
	echo $brkt1 $base[$k]$unt $brkt2 >> $ofile.txt
	repeat 3 echo "" >> $ofile.txt
	@ j=1
	while($j<4)

# ޖ̃wb_[ǉ -----------------------------------------------------
	    switch ($j)
		case 1:
		    repeat 56 echo -n " " >> $ofile.txt
		    echo "All Days" >> $ofile.txt
		    echo "" >> $ofile.txt
		    breaksw
		case 2:
		    repeat 55 echo -n " " >> $ofile.txt
		    echo "Quiet Days" >> $ofile.txt
		    echo "" >> $ofile.txt
		    breaksw
		case 3:
		    repeat 53 echo -n " " >> $ofile.txt
		    echo "Disturbed Days" >> $ofile.txt
		    echo "" >> $ofile.txt
		    breaksw
	    endsw
	    echo -n " "$obsnm >> $ofile.txt
      	    repeat $brnk echo -n " " >> $ofile.txt
	    echo $yyyy >> $ofile.txt

# nCf[^t@Cɒǉ ------------------------------------------------
	    awk '{\
		if(NR>chk2){exit}\
		if(NR>=chk1-1 && NR<=chk2){\
		    print $0\
		}\
	    }' chk1=$chk1[$i] chk2=$chk2[$i] $ifile >> $ofile.txt
	    repeat 4 echo "" >> $ofile.txt
	    echo -n "|"
	    @ i++
	    @ j++
	end

# HTMLy[Wpꎞt@C쐬 --------------------------------------------
	cp $ofile.txt $ofile.tmp

# tb^[t@Cɒǉ ---------------------------------------------------
	echo "     Tabulated values are averages for successive hourly period beginning at 00h00m, coordinated universal time." >> $ofile.txt
	echo "     Hours given in the text all refer to coordinated universal time." >> $ofile.txt
	echo "     Seasons are grouped as follows:" >> $ofile.txt
	echo "          Winter  : January,   February,  November,  December" >> $ofile.txt
	echo "          Equinox : March,     April,     September, October" >> $ofile.txt
	echo "          Summer  : May,       June,      July,      August" >> $ofile.txt
	echo "" >> $ofile.txt

# HTMLt@C̍쐬 --------------------------------------------------------
	    awk '{\
		buf[NR]=$0\
	    }\
	    END{\
		print "<html>"\
		print "<head>"\
		print "<base target=\"_self\">"\
		print "</head>"\
		print "<body bgcolor=\"#ffffff\">"\
		printf("<p style=\"border-bottom-style: double; border-bottom-color: #000080\">")\
		printf("<font color=\"#000080\" size=\"6\">")\
		printf("Hourly Values of %s",ttl)\
		printf "</font></p>"\
		print "<p>&nbsp;</p>"\
#\
# nCf[^HTMLt@Cɒǉ ----------------------------------------------- \
		print "<pre>"\
		for(i=1;i<=NR;i++){\
		    print buf[i]\
		}\
		print "</pre>"\
#\
# tb^[HTMLt@Cɒǉ -------------------------------------------------- \
		print "<p>&nbsp;</p>"\
		printf("<p style=\"margin-left: 5%\">")\
		printf("Tabulated values are averages for successive hourly period beginning at 00h00m, coordinated universal time.<br>")\
		printf("Hours given in the text all refer to coordinated universal time.<br>")\
		printf("Seasons are grouped as follows:<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Winter  : January,   February,  November,  December<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Equinox : March,     April,     September, October<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Summer  : May,       June,      July,      August")\
#\
# HTMLt@C̏I ---------------------------------------------------------\
		print "</p>"\
		print "</body>"\
		print "</html>"\
	    }' "ttl=$title" $ofile.tmp >! $ofile.html
		\rm $ofile.tmp
    end
end
echo "|"
label:
\rm *.tmp
