#! /usr/bin/csh -f
#
# @\@@F Data -- 󒆓dC1Ԓlf[^tH[}bgϊ
# s@F ph2iaga.csh [N] [fBNg]
#

# ϐ̐ݒ --------------------------------------------------------
set yyyy = $argv[1]
set dir=$argv[2]
set xdir = ../for
set odir = $dir"/AnnualReport"$yyyy
set mon = (Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec)

# ϑ_ʂɏ ----------------------------------------------------
foreach obs (kak mmb)
switch ($obs)
    case "kak"
	set stncap="KAK"
	breaksw
    case "mmb"
	set stncap="MMB"
	breaksw
    case "kny"
	set stncap="KNY"
	breaksw
    case "cbi"
	set stncap="CBI"
	breaksw
endsw

# wb_[t@C̎w -------------------------------------------
set head1 = $xdir/header/header.$stncap.p.1h.txt
set head2 = $xdir/header/header2.p.1h.txt
set head3 = $xdir/header/header3.txt
set y = `date +%Y`
set m = `date +%m`
set d = `date +%d`
echo " # Last Modified        $mon[$m] $d $y                                                   |" >! $head3

# ʂɏ -------------------------------------------------------
foreach year ($yyyy)
foreach month (01 02 03 04 05 06 07 08 09 10 11 12)

# ̓t@C̎w -----------------------------------------------
set ifile = /db/ph/ph$year/ph$year$month.$obs
if(! -f $ifile)continue

# o̓t@C̎w -----------------------------------------------
set ofile = $odir/geomag/ph/ph$yyyy/$obs$year$month"d_p".hor

# tH[}bgϊ -------------------------------------------------
\cp $ifile temp.in
chmod 600 temp.in

$xdir/ph2iaga.x <<EOF
$year
$month
temp.in
temp.out
EOF

cat $head1 $head2 $head3 temp.out >! $ofile

# ꎞt@C폜
\rm temp.out temp.in

end
end
end
