#! /usr/bin/csh -f
#
# @\@@F Tables & Figures -- 󒆓dC1Ԓl\y[W̍쐬
# s@F phtable.csh [N] [fBNg]
#

# ϐ̐ݒ -------------------------------------------
set yyyy = $argv[1]
set dir=$argv[2]
set ifile = phtable.tmp
set odir = $dir"/AnnualReport"$yyyy

# 󒆓dC1Ԓl\̍쐬 -------------------------------
ph3 <<EOF
$yyyy
n
EOF

echo "HTMLɕϊ..."

cp $RTNWORK/pnenpo.out ./phtable.tmp
onintr label

sed 's/ UT/UTC/g' $ifile >! kak.tmp
set ifile = kak.tmp
set chk1 = `awk '{if($1=="UTC"){print NR}}' $ifile`
set chk2 = `awk '{if(($1=="MEAN" && $2=="D")||$1=="YEAR"){print NR}}' $ifile`

# ϑ_̃y[W쐬(2y[W=2ϑ_~1) -------------------
@ i=13
while($i<15)

# ϑ_̕ϐݒ --------------------------------------------
    switch ($i)
	case 13:
	    set obs = KAKIOKA
	    set id = kak
	    set brnk = 125
	    set dm1 = 80
	    set dm2 = 180
	    breaksw
	case 14:
	    set obs = MEMAMBETSU
	    set id = mmb
	    set brnk = 122
	    set dm1 = 40
	    set dm2 = 140
	    breaksw
    endsw
    set ofile = $odir/yearbook/tab/pg/ph$yyyy$id

# ey[W̃wb_[쐬 ----------------------------------------
    echo "" >! $ofile.txt
    repeat 50 echo -n " " >> $ofile.txt
    echo "Atmospheric Electric Potential Gradient" >> $ofile.txt
    repeat 59 echo -n " " >> $ofile.txt
    echo "Upward in volt/meter" >> $ofile.txt
    repeat 3 echo "" >> $ofile.txt
    repeat 51 echo -n " " >> $ofile.txt
    echo "Mean Diurnal Variations of Quiet Days" >> $ofile.txt
    echo "" >> $ofile.txt
    echo -n " "$obs >> $ofile.txt
    repeat $brnk echo -n " " >> $ofile.txt
    echo $yyyy >> $ofile.txt

# 󒆓dCf[^t@Cɒǉ -----------------------------------
    @ j = $i - 12
    awk '{\
	if(NR>chk2){exit}\
	if(NR>=chk1-1 && NR<=chk2){\
	    print $0\
	}\
    }' chk1=$chk1[$i] chk2=$chk2[$j] $ifile >> $ofile.txt

# HTMLy[Ẅꎞt@C쐬 -----------------------------------
    cp $ofile.txt $ofile.tmp

# tb^[t@Cɒǉ ------------------------------------------
    repeat 4 echo "" >> $ofile.txt
    echo -n "|"
    echo "     Data are shown by averaged values for successive hourly period beginning at 00h00m, coordinated universal time." >> $ofile.txt
    echo "     If it is impossible to obtain any hourly value on account of hydrometers and/or by other reason, "-" is printed instead of the value." >> $ofile.txt
    echo "     Monthly mean values and the definition of the quiet days:" >> $ofile.txt
    echo "          Quiet days are selected from the days on which" >> $ofile.txt
    echo "           (1)we do not detect any negative value," >> $ofile.txt
    echo "           (2)we have twenty-four hourly mean values less than 300 V/m," >> $ofile.txt
    echo "           (3)the daily mean value is between "$dm1" and "$dm2" V/m," >> $ofile.txt
    echo "       and (4)no abrupt change in the values is observed," >> $ofile.txt
    echo "          e.g. the difference between the two successive hourly mean values is under about 200 V/m." >> $ofile.txt
    echo "     Monthly mean values are calculated using the hourly mean values on the quiet days." >> $ofile.txt
    echo "     Seasons are grouped as follows:" >> $ofile.txt
    echo "          Winter  : January,   February,  November,  December" >> $ofile.txt
    echo "          Equinox : March,     April,     September, October" >> $ofile.txt
    echo "          Summer  : May,       June,      July,      August" >> $ofile.txt
    echo "" >> $ofile.txt

# HTMLy[W쐬 ------------------------------------------------
	    awk '{\
		buf[NR]=$0\
 	    }\
 	    END{\
 		print "<html>"\
 		print "<head>"\
 		print "<base target=\"_self\">"\
 		print "</head>"\
 		print "<body bgcolor=\"#ffffff\">"\
 		printf("<p style=\"border-bottom-style: double; border-bottom-color: #000080\">")\
 		printf("<font color=\"#000080\" size=\"6\">")\
 		printf("Atmospheric Electric Potential Gradient")\
 		printf "</font></p>"\
 		print "<p>&nbsp;</p>"\
#\
# 󒆓dCf[^HTMLt@Cɒǉ -------------------------------- \
 		print "<pre>"\
 		for(i=1;i<=NR;i++){\
 		    print buf[i]\
 		}\
 		print "</pre>"\
#\
# tb^[HTMLt@Cɒǉ -------------------------------- \
 		print "<p>&nbsp;</p>"\
 		printf("<p style=\"margin-left: 5%\">")\
		printf("Data are shown by averaged values for successive hourly period beginning at 00h00m, coordinated universal time.<br>")\
		printf("If it is impossible to obtain any hourly value on account of hydrometers and/or by other reason, \"-\" is printed instead of the value.<br>")\
		printf("Monthly mean values and the definition of the quiet days:<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Quiet days are selected from the days on which<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(1)we do not detect any negative value,<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(2)we have twenty-four hourly mean values less than 300 V/m,<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(3)the daily mean value is between %2d and %3d V/m,<br>",dm1,dm2)\
		printf("&nbsp;and (4)no abrupt change in the values is observed,<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;e.g. the difference between the two successive hourly mean values is under about 200 V/m.<br>")\
		printf("Monthly mean values are calculated using the hourly mean values on the quiet days.<br>")\
		printf("For seasons are grouped as follows:<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Spring  : March,     April,     May<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Summer  : June,      July,      August<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Autumn  : September, October,   November<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Winter  : January,   February,  December<br>")\
#\
# HTMLt@C̏I ------------------------------------- \
 		print "</p>"\
 		print "</body>"\
 		print "</html>"\
	    }' dm1=$dm1 dm2=$dm2 $ofile.tmp >! $ofile.html
		\rm $ofile.tmp
    @ i++
end
echo "|"
label:
\rm *.tmp
