#! /usr/bin/csh -f
#
# @\@@F Tables & Figures -- piXgy[W̍쐬
# s@F pi.csh [N] [fBNg]
#

# ϐ̐ݒ -----------------------------------------------
set yyyy=$argv[1]
set dir=$argv[2]
set rv=pi
set odir=$dir"/AnnualReport"$yyyy

# tO̐ݒ ---------------------------------------------
echo 0 >! KAKflg.tmp
echo 0 >! MMBflg.tmp
echo 0 >! KNYflg.tmp

# Xgy[W̍쐬 ----------------------------------------
foreach mm (01 02 03 04 05 06 07 08 09 10 11 12)
    set ifile=/db/rv/$rv$yyyy/$rv$yyyy$mm.dat
    if (-f $ifile) then
	foreach obs (KAK MMB KNY)
            set flg=`awk '{chk=$1}END{print chk+0}' $obs"flg.tmp"`
	    awk ' \
		BEGIN{\
		    mname[1]="Jan."                              # ̖O̐ݒ \
		    mname[2]="Feb."\
		    mname[3]="Mar."\
		    mname[4]="Apr."\
		    mname[5]="May"\
		    mname[6]="Jun."\
		    mname[7]="Jul."\
		    mname[8]="Aug."\
		    mname[9]="Sep."\
		    mname[10]="Oct."\
		    mname[11]="Nov."\
		    mname[12]="Dec."\
		}\
		{\
		    if(NR>1){ # -------------------------------- t@Cl̓ǂݍ\
			obs[NR]=substr($0,1,3)                    # ϑ_ \
			    if(obs[NR]=="KAK"){m[NR]=1}\
			    if(obs[NR]=="MMB"){m[NR]=2}\
			    if(obs[NR]=="KNY"){m[NR]=3}\
			    if(obs[NR]=="   "){m[NR]=m[NR-1]}\
			year[NR]=substr($0,5,4)                   # N \
   			    if(year[NR]=="   0"){next}\
			    if(year[NR]=="   1"){next}\
			month[NR]=substr($0,10,2)                 #  \
			bday[NR]=substr($0,13,2)                  # Jn \
			cls[NR]=substr($0,16,1)                   # ^Cv \
			btime[NR]=substr($0,18,5)                 # Whole phenomenon̊Jn \
			etime[NR]=substr($0,24,5)                 # Whole phenomenon̏I \
			q[NR]=substr($0,30,1)                     # Quality \
			nbtimei[NR]=substr($0,32,2)               # Individual serieš \
			btimei[NR]=substr($0,34,5)                # Individual series̊Jn \
			qi[NR]=substr($0,40,1)                    # Indivisual seriesQuality \
			pli[NR]=substr($0,42,3)                   # Largest oscillation̎ \
			plx[NR]=substr($0,46,5)                   # X̐U \
			ply[NR]=substr($0,52,5)                   # Y̐U \
			plz[NR]=substr($0,58,5)                   # Z̐U \
	    }\
		}\
		END{ # ----------------------------------------- t@Co \
		    if(site=="KAK"){id=1}\
		    if(site=="MMB"){id=2}\
		    if(site=="KNY"){id=3}\
			for(i=2;i<=NR;i++){\
			    if(m[i]>id){exit}\
			    if(m[i]==id && obs[i]!="   " && year[i]!=0 && year[i]!=1 && q[i]!="C"){\
                                if(flg==0){\
                                    print "<tr align=\"center\" bgcolor=\"#ffffee\">"\
                                    flg=1\
                                    print flg >> site"flg.tmp"\
                                } else {\
                                    print "<tr align=\"center\" bgcolor=\"#ffffe6\">"\
                                    flg=0\
                                    print flg >> site"flg.tmp"\
                                }\
 				print "<td height=\"16\">"mname[month[i]+0],bday[i]"</td>"\
				if(cls[i]=="     "){cls[i]="&nbsp"}\
				print "<td>pi",cls[i]"</td>"\
				if(btime[i]=="     "){btime[i]="&nbsp"}\
				print "<td>"btime[i]"</td>"\
				if(etime[i]=="     "){etime[i]="&nbsp"}\
				print "<td>"etime[i]"</td>"\
				if(q[i]==" "){q[i]="&nbsp"}\
				print "<td>"q[i]"</td>"\
\
				if(btimei[i]=="     " || btimei[i]==""){btimei[i]="&nbsp;"}\
				printf("<td>%5s",btimei[i])\
				for(j=1;j<nbtimei[i];j++){\
				    if(btimei[i+j]=="     " || btimei[i+j]==""){btimei[i+j]="&nbsp;"}\
				    printf("<br>%5s",btimei[i+j])\
				}\
				print "</td>"\
				if(qi[i]==" " || qi[i]==""){qi[i]="&nbsp;"}\
				printf("<td>%1s",qi[i])\
				for(j=1;j<nbtimei[i];j++){\
				    if(qi[i+j]==" " || qi[i+j]==""){qi[i+j]="&nbsp;"}\
				    printf("<br>%1s",qi[i+j])\
				}\
				print "</td>"\
				if(pli[i]=="   " || pli[i]==""){pli[i]="&nbsp;"}\
				printf("<td>%3s",pli[i])\
				for(j=1;j<nbtimei[i];j++){\
				    if(pli[i+j]=="   " || pli[i+j]==""){pli[i+j]="&nbsp;"}\
				    printf("<br>%1s",pli[i+j])\
				}\
				print "</td>"\
				if(plx[i]=="     " || plx[i]==""){plx[i]="&nbsp;"}\
				printf("<td>%5s",plx[i])\
				for(j=1;j<nbtimei[i];j++){\
				    if(plx[i+j]=="     " || plx[i+j]==""){plx[i+j]="&nbsp;"}\
				    printf("<br>%1s",plx[i+j])\
				}\
				print "</td>"\
				if(ply[i]=="     " || ply[i]==""){ply[i]="&nbsp;"}\
				printf("<td>%5s",ply[i])\
				for(j=1;j<nbtimei[i];j++){\
				    if(ply[i+j]=="     " || ply[i+j]==""){ply[i+j]="&nbsp;"}\
				    printf("<br>%1s",ply[i+j])\
				}\
				print "</td>"\
				if(plz[i]=="     " || plz[i]==""){plz[i]="&nbsp;"}\
				printf("<td>%5s",plz[i])\
				for(j=1;j<nbtimei[i];j++){\
				    if(plz[i+j]=="     " || plz[i+j]==""){plz[i+j]="&nbsp;"}\
				    printf("<br>%1s",plz[i+j])\
				}\
				print "</td>"\
				printf("<td>")\
				month[i]=month[i]+0\
				bday[i]=bday[i]+0\
				if(month[i]<10){\
				    mchar[i]="0"month[i]\
				}\
				else {\
				    mchar[i]=month[i]\
	    			}\
				if(bday[i]<10){\
				    dchar[i]="0"bday[i]\
				}\
				else {\
				    dchar[i]=bday[i]\
	    			}\
				for(j=1;j<5;j++){\
				    mpfile[i]="mp"year[i]mchar[i]dchar[i]"eve"j".html"\
				    dbfile[i]="/db/mp/mp"year[i]"/event/mp"year[i]mchar[i]dchar[i]"eve"j".jpg"\
				    chk=getline < dbfile[i]\
				    if(j==1 && chk=="1"){printf("<a href=\"../../fig/mp/event/%18s\">figure</a>",mpfile[i])}\
				    if(j>1 && chk=="1"){printf("<br><a href=\"../../fig/mp/event/%18s\">figure</a>",mpfile[i])}\
				    if(j==1 && chk!="1"){printf("&nbsp;")}\
				}\
			        print "</td>"\
			    }\
			}\
		} ' "site=$obs" "flg=$flg" $ifile >> pi$obs.tmp
	end
    endif
    echo -n "|"
end

set i=`cat piKAK.tmp`
set j=`cat piMMB.tmp`
set k=`cat piKNY.tmp`

# HTMLt@C̏C ---------------------------------------------------
if($#i == 0)echo \<td colspan="11" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> piKAK.tmp
if($#j == 0)echo \<td colspan="11" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> piMMB.tmp
if($#k == 0)echo \<td colspan="11" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> piKNY.tmp

echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Kakioka\</font\>\</b\>\</td\> >> kak.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> kak.tmp
cat pi.1 kak.tmp pi.2 piKAK.tmp pi.3 >! $odir/yearbook/tab/rv/pi$yyyy"kak".html
echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Memambetsu\</font\>\</b\>\</td\> >> mmb.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> mmb.tmp
cat pi.1 mmb.tmp pi.2 piMMB.tmp pi.3 >! $odir/yearbook/tab/rv/pi$yyyy"mmb".html
echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Kanoya\</font\>\</b\>\</td\> >> kny.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> kny.tmp
cat pi.1 kny.tmp pi.2 piKNY.tmp pi.3 >! $odir/yearbook/tab/rv/pi$yyyy"kny".html

echo "|"
\rm *.tmp
