#! /usr/bin/csh -f
#
# @\@@F Tables & Figures -- siXgy[W̍쐬
# s@F si.csh [N] [fBNg]
#

# ϐ̐ݒ --------------------------------------------
set yyyy=$argv[1]
set dir=$argv[2]
set rv=si
set odir=$dir"/AnnualReport"$yyyy

# tO̐ݒ ------------------------------------------
echo 0 >! KAKflg1.tmp
echo 0 >! MMBflg1.tmp
echo 0 >! KNYflg1.tmp
echo 0 >! KAKflg2.tmp
echo 0 >! MMBflg2.tmp
echo 0 >! KNYflg2.tmp

# Xgy[W̍쐬 ------------------------------------
foreach mm (01 02 03 04 05 06 07 08 09 10 11 12)
    set ifile=/db/rv/$rv$yyyy/$rv$yyyy$mm.dat
    if (-f $ifile) then
	foreach obs (KAK MMB KNY)

# QualityA܂B̏ꍇ ---------------------------------------------------
           set flg=`awk '{chk=$1}END{print chk+0}' $obs"flg1.tmp"`
	    awk ' \
		BEGIN{\
		    mname[1]="Jan."                             # ̖O̐ݒ \
		    mname[2]="Feb."\
		    mname[3]="Mar."\
		    mname[4]="Apr."\
		    mname[5]="May"\
		    mname[6]="Jun."\
		    mname[7]="Jul."\
		    mname[8]="Aug."\
		    mname[9]="Sep."\
		    mname[10]="Oct."\
		    mname[11]="Nov."\
		    mname[12]="Dec."\
		}\
		{\
		    if(NR>1){ # ------------------------------- t@Cl̓ǂݍ \
			obs[NR]=substr($0,1,3)                   # ϑ_ \
			    if(obs[NR]=="KAK"){m[NR]=1}\
			    if(obs[NR]=="MMB"){m[NR]=2}\
			    if(obs[NR]=="KNY"){m[NR]=3}\
			    if(obs[NR]=="   "){m[NR]=m[NR-1]}\
			year[NR]=substr($0,5,4)                  # N \
			    if(year[NR]=="   0"){next}\
			    if(year[NR]=="   1"){next}\
			month[NR]=substr($0,10,2)                #  \
			bday[NR]=substr($0,13,2)                 # Jn \
			btime[NR]=substr($0,16,5)                # Jn \
			type[NR]=substr($0,22,3)                 # ^Cv \
			q[NR]=substr($0,26,1)                    # Quality \
			nhamp[NR]=substr($0,28,1)                # H̐Ǔ \
			hamp[NR]=substr($0,29,5)                 # H̐U \
			hdur[NR]=substr($0,35,2)                 # Ȟp \
			ndamp[NR]=substr($0,38,1)                # D̐Ǔ \
			damp[NR]=substr($0,39,5)                 # D̐U \
			ddur[NR]=substr($0,45,2)                 # Ďp \
			nzamp[NR]=substr($0,48,1)                # Z̐Ǔ \
			zamp[NR]=substr($0,49,5)                 # Z̐U \
			zdur[NR]=substr($0,55,2)                 # Žp \
		    }\
		}\
		END{ # ---------------------------------------- t@Co \
		    if(site=="KAK"){id=1}\
		    if(site=="MMB"){id=2}\
		    if(site=="KNY"){id=3}\
			for(i=2;i<=NR;i++){\
			    if(m[i]>id || year[i]=="   0" || year[i]=="   1"){exit}\
			    if(m[i]==id && obs[i]!="   " && q[i]!="C" && year[i]!=0 && year[i]!=1){\
                               if(flg==0){\
                                    print "<tr align=\"center\" bgcolor=\"#ffffee\">"\
                                    flg=1\
                                    print flg >> site"flg1.tmp"\
                                } else {\
                                    print "<tr align=\"center\" bgcolor=\"#ffffe6\">"\
                                    flg=0\
                                    print flg >> site"flg1.tmp"\
                                }\
				print "<td height=\"16\">"mname[month[i]+0],bday[i]"</td>"\
				print "<td>"btime[i]"</td>"\
				if(type[i]==" "){type[i]="&nbsp"}\
				print "<td>"type[i]"</td>"\
				if(q[i]==" "){q[i]="&nbsp"}\
				print "<td>"q[i]"</td>"\
				if(hamp[i]=="     "){hamp[i]="&nbsp"}\
				printf("<td>%5s",hamp[i])\
				for(j=1;j<nhamp[i];j++){\
				    printf("<br>%5s",hamp[i+j])\
				}\
				print "</td>"\
				if(hdur[i]=="  "){hdur[i]="&nbsp"}\
				printf("<td>%5s",hdur[i])\
				for(j=1;j<nhamp[i];j++){\
				    printf("<br>%5s",hdur[i+j])\
				}\
				print "</td>"\
				if(damp[i]=="     "){damp[i]="&nbsp"}\
				printf("<td>%5s",damp[i])\
				for(j=1;j<ndamp[i];j++){\
				    printf("<br>%5s",damp[i+j])\
				}\
				print "</td>"\
				if(ddur[i]=="  "){ddur[i]="&nbsp"}\
				printf("<td>%5s",ddur[i])\
				for(j=1;j<ndamp[i];j++){\
				    printf("<br>%5s",ddur[i+j])\
				}\
				print "</td>"\
				if(zamp[i]=="     "){zamp[i]="&nbsp"}\
				printf("<td>%5s",zamp[i])\
				for(j=1;j<nzamp[i];j++){\
				    printf("<br>%5s",zamp[i+j])\
				}\
				print "</td>"\
				if(zdur[i]=="  "){zdur[i]="&nbsp"}\
				printf("<td>%5s",zdur[i])\
				for(j=1;j<nzamp[i];j++){\
				    printf("<br>%5s",zdur[i+j])\
				}\
				print "</td>"\
			    }\
			}\
		} ' "site=$obs" "flg=$flg" $ifile >> siab$obs.tmp

# QualityC̏ꍇ ----------------------------------------------------
            set flg=`awk '{chk=$1}END{print chk+0}' $obs"flg2.tmp"`
	    awk ' \
		BEGIN{\
		    mname[1]="Jan."                             # ̖O̐ݒ \
		    mname[2]="Feb."\
		    mname[3]="Mar."\
		    mname[4]="Apr."\
		    mname[5]="May"\
		    mname[6]="Jun."\
		    mname[7]="Jul."\
		    mname[8]="Aug."\
		    mname[9]="Sep."\
		    mname[10]="Oct."\
		    mname[11]="Nov."\
		    mname[12]="Dec."\
		}\
		{\
		    if(NR>1){ # ------------------------------- t@Cl̓ǂݍ \
			obs[NR]=substr($0,1,3)                   # ϑ_ \
			    if(obs[NR]=="KAK"){m[NR]=1}\
			    if(obs[NR]=="MMB"){m[NR]=2}\
			    if(obs[NR]=="KNY"){m[NR]=3}\
			    if(obs[NR]=="   "){m[NR]=m[NR-1]}\
			year[NR]=substr($0,5,4)                  # N \
  			    if(year[NR]=="   0"){next}\
			    if(year[NR]=="   1"){next}\
			month[NR]=substr($0,10,2)                #  \
			bday[NR]=substr($0,13,2)                 # Jn \
			btime[NR]=substr($0,16,5)                # Jn \
			type[NR]=substr($0,22,3)                 # ^Cv \
			q[NR]=substr($0,26,1)                    # Quality \
			nhamp[NR]=substr($0,28,1)                # H̐Ǔ \
			hamp[NR]=substr($0,29,5)                 # H̐U \
			ndamp[NR]=substr($0,38,1)                # DǓ \
			damp[NR]=substr($0,39,5)                 # D̐U \
			nzamp[NR]=substr($0,48,1)                # Z̐Ǔ \
			zamp[NR]=substr($0,49,5)                 # Z̐U \
		    }\
		}\
		END{ # ---------------------------------------- t@Co \
		    if(site=="KAK"){id=1}\
		    if(site=="MMB"){id=2}\
		    if(site=="KNY"){id=3}\
			for(i=2;i<=NR;i++){\
			    if(m[i]>id || year[i]=="   0" || year[i]=="   1"){exit}\
			    if(m[i]==id && obs[i]!="   " && q[i]=="C"){\
                                if(flg==0){\
                                    print "<tr align=\"center\" bgcolor=\"#ffffee\">"\
                                    flg=1\
                                    print flg >> site"flg2.tmp"\
                                } else {\
                                    print "<tr align=\"center\" bgcolor=\"#ffffe6\">"\
                                    flg=0\
                                    print flg >> site"flg2.tmp"\
                                }\
				print "<td height=\"16\">"mname[month[i]+0],bday[i]"</td>"\
				print "<td>"btime[i]"</td>"\
				print "<td>"type[i]"</td>"\
				if(hamp[i]=="     "){hamp[i]="&nbsp"}\
				printf("<td>%5s",hamp[i])\
				for(j=1;j<nhamp[i];j++){\
				    printf("<br>%5s",hamp[i+j])\
				}\
				print "</td>"\
				if(damp[i]=="     "){damp[i]="&nbsp"}\
				printf("<td>%5s",damp[i])\
				for(j=1;j<ndamp[i];j++){\
				    printf("<br>%5s",damp[i+j])\
				}\
				print "</td>"\
				if(zamp[i]=="     "){zamp[i]="&nbsp"}\
				printf("<td>%5s",zamp[i])\
				for(j=1;j<nzamp[i];j++){\
				    printf("<br>%5s",zamp[i+j])\
				}\
				print "</td>"\
			    }\
			}\
		} ' "site=$obs" "flg=$flg" $ifile >> sic$obs.tmp
	end
    endif
    echo -n "|"
end

set i=`cat siabKAK.tmp`
set j=`cat siabMMB.tmp`
set k=`cat siabKNY.tmp`

# HTMLt@C̏C ----------------------------------------------------------------
if($#i == 0)echo \<td colspan="10" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> siabKAK.tmp
if($#j == 0)echo \<td colspan="10" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> siabMMB.tmp
if($#k == 0)echo \<td colspan="10" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> siabKNY.tmp

set i=`cat sicKAK.tmp`
set j=`cat sicMMB.tmp`
set k=`cat sicKNY.tmp`

if($#i == 0)echo \<td colspan="6" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> sicKAK.tmp
if($#j == 0)echo \<td colspan="6" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> sicMMB.tmp
if($#k == 0)echo \<td colspan="6" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> sicKNY.tmp

echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Kakioka\</font\>\</b\>\</td\> >> kak.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> kak.tmp
cat si.1 kak.tmp si.2 siabKAK.tmp si.3 sicKAK.tmp si.4 >! $odir/yearbook/tab/rv/si$yyyy"kak".html
echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Memambetsu\</font\>\</b\>\</td\> >> mmb.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> mmb.tmp
cat si.1 mmb.tmp si.2 siabMMB.tmp si.3 sicMMB.tmp si.4 >! $odir/yearbook/tab/rv/si$yyyy"mmb".html
echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Kanoya\</font\>\</b\>\</td\> >> kny.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> kny.tmp
cat si.1 kny.tmp si.2 siabKNY.tmp si.3 sicKNY.tmp si.4 >! $odir/yearbook/tab/rv/si$yyyy"kny".html

echo "|"
\rm *.tmp
