#! /usr/bin/csh -f
#
# @\@@F Tables & Figures -- nd1Ԓl\y[W̍쐬
# s@F ehtable.csh [N] [fBNg]
#

# ϐ̐ݒ --------------------------------------------------------
set yyyy = $argv[1]
set dir=$argv[2]
set ifile = ./ehtable.tmp
set odir = $dir"/AnnualReport"$yyyy

# nd1Ԓl\̍쐬 ----------------------------------------------
ech3 <<EOF
$yyyy
n
EOF

# nd1Ԓl\y[W(HTML)̍쐬 ----------------------------------
echo "HTMLɕϊ..."
cp $RTNWORK/enenpo.out $ifile
onintr label

sed 's/ UT/UTC/g' $ifile >! kak.tmp
set ifile = kak.tmp

# y[WPʂ̐擪ƍŌ̍sԍ𒲂ׂ ------------------------------
set chk1 = `awk '{if($1=="UTC"){print NR}}' $ifile`
set chk2 = `awk '{if(($1=="MEAN" && $2=="D")||$1=="YEAR"){print NR}}' $ifile`

# ̃y[W쐬(24y[W=2~12) -----------------------------------------------
@ i=1
while($i<24)

# ̕ϐݒ -------------------------------------------------
    switch ($i)
	case 1:
	    set comp1 = "EW"
	    set comp2 = "Eastward"
	    set comp3 = "e"
	    set spc = 50
	    breaksw
	case 13:
	    set comp1 = "NS"
	    set comp2 = "Northward"
	    set comp3 = "n"
	    set spc = 49
	    breaksw
	endsw
    set mname = (JAN. FEB. MAR. APR. MAY JUN. JUL. AUG. SEP. OCT. NOV. DEC.)

# eɂ12 -------------------------------------
    foreach mm (01 02 03 04 05 06 07 08 09 10 11 12)
	@ j = $mm + 0
	set ofile = $odir/yearbook/tab/ec/eh$yyyy$mm"kak"$comp3

# ey[W̃wb_[쐬 -------------------------------------------
	echo "" >! $ofile.txt
	repeat 52 echo -n " " >> $ofile.txt
	echo "Earth Current Potential Gradient" >> $ofile.txt
	repeat $spc echo -n " " >> $ofile.txt
	echo $comp1 "Component (" $comp2 "in 0.1mV/km )" >> $ofile.txt
	echo "" >> $ofile.txt
	repeat 53 echo -n " " >> $ofile.txt
	echo "Deviation from the Daily Mean" >> $ofile.txt
	repeat 3 echo "" >> $ofile.txt
	echo -n " KAKIOKA" >> $ofile.txt
	repeat 119 echo -n " " >> $ofile.txt
	if($j != 5)then
	    echo $mname[$j] $yyyy >> $ofile.txt
	else
	    echo $mname[$j]"  "$yyyy >> $ofile.txt
	endif
# ndf[^t@Cɒǉ ---------------------------------------
	awk '{\
	    if(NR>chk2){exit}\
	    if(NR>=chk1-1 && NR<=chk2){\
		print $0\
	    }\
	}' chk1=$chk1[$i] chk2=$chk2[$i] $ifile >> $ofile.txt

# HTMLy[Wpꎞt@C쐬 ------------------------------------
	cp $ofile.txt $ofile.tmp

# tb^[t@Cɒǉ -------------------------------------------
	repeat 4 echo "" >> $ofile.txt
        echo "     Data are shown by averaged values for successive hourly period beginning at 00h00m, coordinated universal time." >> $ofile.txt
	echo "     Tabulated hourly values are the deviations from the daily mean (absolute values)." >> $ofile.txt
	echo "     Q=International Quiet Day; D=International Disturbed Day" >> $ofile.txt
	echo "" >> $ofile.txt

# HTMLt@C쐬 ------------------------------------------------
	    awk '{\
		buf[NR]=$0\
 	    }\
 	    END{\
 		print "<html>"\
 		print "<head>"\
 		print "<base target=\"_self\">"\
 		print "<style>"\
 		print "<\!--"\
 		print "a:link {"\
 		print "color: #000099;"\
 		print "}"\
 		print "a:active {"\
 		print "color: #000099;"\
 		print "}"\
 		print "a:visited {"\
 		print "color: #000099;"\
 		print "}"\
 		print "a:hover {"\
 		print "color: #99ffff;"\
 		print "}"\
 		print "-->"\
 		print "</style>"\
 		print "</head>"\
 		print "<body bgcolor=\"#ffffff\">"\
 		printf("<p style=\"border-bottom-style: double; border-bottom-color: #000080\">")\
 		printf("<font color=\"#000080\" size=\"6\">")\
 		printf("Earth Current Potential Gradient")\
 		printf "</font></p>"\
 		printf("<table border=\"0\" width=\"100%\">")\
 		print "<tr><td width=\"50%\" align=\"left\">"\
#\
# ǑǍvZ ------------------------------------------------\
 		pmon = mon - 1\
 		nmon = mon + 1\
 		if(pmon<10){pmon="0"pmon}\
 		if(nmon<10){nmon="0"nmon}\
#\
# Ǒ̃y[Wւ̃N쐬 ---------------------------------------\
 		if(pmon>0){\
 		    printf("<a href=\"eh%4s%2skak%1s.html\"><b>&lt;&lt; Previous Month</b></a>",year,pmon,comp)\
 		}\
		print "</td>"\
 		print "<td width=\"50%\" align=\"right\">"\
#\
# ̌̃y[Wւ̃N쐬 ---------------------------------------\
 		if(nmon<13){\
 		    printf("<a href=\"eh%4s%2skak%1s.html\"><b>Next Month &gt;&gt;</b></a>",year,nmon,comp)\
 		}\
 		print "</td>"\
 		print "</tr>"\
 		print "</table>"\
#\
# ndf[^HTMLt@Cɒǉ ------------------------------------\
 		print "<pre>"\
 		for(i=1;i<=NR;i++){\
 		    print buf[i]\
 		}\
 		print "</pre>"\
#\
# tb^[HTMLt@Cɒǉ ----------------------------------------\
 		print "<p>&nbsp;</p>"\
 		printf("<p style=\"margin-left: 5%\">")\
 		printf("Data are shown by averaged values for successive hourly period beginning at 00h00m, coordinated universal time.<br>")\
		printf("Tabulated hourly values are the deviations from the daily mean (absolute values).<br>")\
		printf("Q=International Quiet Day; D=International Disturbed Day")\
#\
# HTMLt@C̏I ----------------------------------------------\
 		print "</p>"\
 		print "</body>"\
 		print "</html>"\
	    }' "year=$yyyy" "mon=$mm" "comp=$comp3" $ofile.tmp >! $ofile.html
		\rm $ofile.tmp
	@ i++
    echo -n "|"
    end
end

# ̌ρEGߕʕσy[W쐬(18y[W=3ϑ_~2~3) -------
while($i<42)

# n_̕ϐݒ --------------------------------------------------------
    switch ($i)
	case 25:
	    set obs = KAKIOKA
	    set id = kak
	    set brnk = 120
	    breaksw
	case 31:
	    set obs = MEMAMBETSU
	    set id = mmb
	    set brnk = 117
	    breaksw
	case 37:
	    set obs = KANOYA
	    set id = kny
	    set brnk = 121
	    breaksw
    endsw
    @ j=0
    while($j<2)

# ̕ϐݒ --------------------------------------------------------
	switch ($j)
	    case 0:
		set comp1 = "EW"
		set comp2 = "Eastward"
		set comp3 = "e"
		set spc = 50
		breaksw
	    case 1:
		set comp1 = "NS"
		set comp2 = "Northward"
		set comp3 = "n"
		set spc = 49
		breaksw
	endsw

# eϑ_Eeɂď -------------------------------------------
	set ofile = $odir/yearbook/tab/ec/eh$yyyy$id$comp3
	echo "" >! $ofile.txt

# ey[W̃wb_[쐬 -----------------------------------------------
	repeat 52 echo -n " " >> $ofile.txt
	echo "Earth Current Potential Gradient" >> $ofile.txt
	repeat $spc echo -n " " >> $ofile.txt
	echo $comp1 "Component (" $comp2 "in 0.1mV/km )" >> $ofile.txt
	repeat 3 echo "" >> $ofile.txt
	@ k=0
	while ($k<3)

# ޕʂ̃wb_[ǉ -------------------------------------------------
	    switch ($k)
		case 0:
		    set title = "Mean Diurnal Variations of All Days"
		    set spc = 51
		    breaksw
		case 1:
		    set title = "Mean Diurnal Variations of Quiet Days"
		    set spc = 50
		    breaksw
		case 2:
		    set title = "Mean Diurnal Variations of Disturbed Days"
		    set spc = 48
		    breaksw
	    endsw
	    @ l = $i + $j * 3 + $k
	    repeat $spc echo -n " " >> $ofile.txt
	    echo $title >> $ofile.txt
	    echo "" >> $ofile.txt
	    echo -n " "$obs >> $ofile.txt
	    repeat $brnk echo -n " " >> $ofile.txt
	    echo $yyyy >> $ofile.txt

# ndf[^t@Cɒǉ ------------------------------------------
	    awk '{\
		if(NR>chk2){exit}\
		if(NR>=chk1-1 && NR<=chk2){\
		    print $0\
		}\
	    }' chk1=$chk1[$l] chk2=$chk2[$l] $ifile >> $ofile.txt
	    repeat 4 echo "" >> $ofile.txt
	    @ k++
	    echo -n "|"
	end

# HTMLy[Wpꎞt@C쐬 -------------------------------------------
	cp $ofile.txt $ofile.tmp

# tb^[t@Cɒǉ --------------------------------------------------
	echo "     Data are shown by averaged values for successive hourly period beginning at 00h00m, coordinated universal time." >> $ofile.txt
	echo "     Tabulated hourly values are the deviations from the daily mean (absolute values)." >> $ofile.txt
       echo "     Seasons are grouped as follows:" >> $ofile.txt
       echo "          Winter  : January,   February,  November,  December" >> $ofile.txt
       echo "          Equinox : March,     April,     September, October" >> $ofile.txt
       echo "          Summer  : May,       June,      July,      August" >> $ofile.txt
	echo "" >> $ofile.txt

# HTMLy[W쐬 ---------------------------------------------------------
	    awk '{\
		buf[NR]=$0\
 	    }\
 	    END{\
 		print "<html>"\
 		print "<head>"\
 		print "<base target=\"_self\">"\
 		print "</head>"\
 		print "<body bgcolor=\"#ffffff\">"\
 		printf("<p style=\"border-bottom-style: double; border-bottom-color: #000080\">")\
 		printf("<font color=\"#000080\" size=\"6\">")\
 		printf("Earth Current Potential Gradient")\
 		printf "</font></p>"\
 		print "<p>&nbsp;</p>"\
#\
# ndf[^HTMLt@Cɒǉ ----------------------------------------- \
 		print "<pre>"\
 		for(i=1;i<=NR;i++){\
 		    print buf[i]\
 		}\
 		print "</pre>"\
#\
# tb^[HTMLt@Cɒǉ --------------------------------------------- \
 		print "<p>&nbsp;</p>"\
 		printf("<p style=\"margin-left: 5%\">")\
 		printf("Data are shown by averaged values for successive hourly period beginning at 00h00m, coordinated universal time.<br>")\
		printf("Tabulated hourly values are the deviations from the daily mean (absolute values).<br>")\
		printf("Seasons are grouped as follows:<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Winter  : January,   February,  November,  December<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Equinox : March,     April,     September, October<br>")\
		printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Summer  : May,       June,      July,      August<br>")\
#\
# HTMLt@C̏I --------------------------------------------------- \
 		print "</p>"\
 		print "</body>"\
 		print "</html>"\
	    }' $ofile.tmp >! $ofile.html
		\rm $ofile.tmp
	@ j++
    end
    @ i = $l + 1
end
echo "|"
label:
\rm *.tmp
