#! /usr/bin/csh -f
#
# @\@@F Tables & Figures -- CXgy[W̍쐬
# s@F mstorm.csh [N] [fBNg]
#

# ϐ̐ݒ -------------------------------------------
set yyyy=$argv[1]
set dir=$argv[2]
set rv=mstorm
set odir=$dir"/AnnualReport"$yyyy

# tO̐ݒ ------------------------------------------
echo 0 >! KAKflg.tmp
echo 0 >! MMBflg.tmp
echo 0 >! KNYflg.tmp

# Xgy[W̍쐬 ------------------------------------
foreach mm (01 02 03 04 05 06 07 08 09 10 11 12)
    set ifile=/db/rv/$rv$yyyy/$rv$yyyy$mm.dat
    if (-f $ifile) then
	foreach obs (KAK MMB KNY)
	    set flg=`awk '{chk=$1}END{print chk+0}' $obs"flg.tmp"`
	    awk ' \
		BEGIN{\
		    mname[1]="Jan."                             # ̖Oݒ \
		    mname[2]="Feb."\
		    mname[3]="Mar."\
		    mname[4]="Apr."\
		    mname[5]="May"\
		    mname[6]="Jun."\
		    mname[7]="Jul."\
		    mname[8]="Aug."\
		    mname[9]="Sep."\
		    mname[10]="Oct."\
		    mname[11]="Nov."\
		    mname[12]="Dec."\
		}\
		{\
		    if(NR>1){ #---------------------------------t@Cl̓ǂݎ \
			obs[NR]=substr($0,1,3)                   # ϑ_ \
			    if(obs[NR]=="KAK"){m[NR]=1}\
			    if(obs[NR]=="MMB"){m[NR]=2}\
			    if(obs[NR]=="KNY"){m[NR]=3}\
			    if(obs[NR]=="   "){m[NR]=m[NR-1]}\
			year[NR]=substr($0,5,4)                  # N \
    			    if(year[NR]=="   0"){next}\
			    if(year[NR]=="   1"){next}\
			month[NR]=substr($0,10,2)                #  \
			bday[NR]=substr($0,13,2)                 # Jn \
			btime[NR]=substr($0,16,5)                # Jn \
			nmtime[NR]=substr($0,22,1)               # 告̊Jň \
			mtime[NR]=substr($0,23,7)                # 告̊Jn \
			nrtime[NR]=substr($0,31,1)               # 񕜑̊Jň \
			rtime[NR]=substr($0,32,7)                # 񕜑̊Jn\
			etime[NR]=substr($0,40,5)                # I \
			type[NR]=substr($0,46,4)                 # ^Cv \
			q[NR]=substr($0,51,1)                    # Quality \
			nhamp[NR]=substr($0,53,1)                # H̐Ǔ \
			hamp[NR]=substr($0,54,5)                 # H̐U \
			hdur[NR]=substr($0,60,2)                 # Ȟp \
			ndamp[NR]=substr($0,63,1)                # D̐Ǔ \
			damp[NR]=substr($0,64,5)                 # D̐U \
			ddur[NR]=substr($0,70,2)                 # Ďp \
			nzamp[NR]=substr($0,73,1)                # Z̐Ǔ \
			zamp[NR]=substr($0,74,5)                 # Z̐U \
			zdur[NR]=substr($0,80,2)                 # Žp \
			da[NR]=substr($0,83,2)                   # x \
			nmaxd[NR]=substr($0,86,1)                # CԒ̍őKw̔̌ \
			maxd[NR]=substr($0,87,2)                 # CԒ̍őKw̔ \
			for(i=1;i<=8;i++){\
			    j=89+i\
			    max3[i,NR]=substr($0,89+i,1)         # CԒ̍őKw̔ \
			}\
			maxk[NR]=substr($0,99,1)                 # CԒKw̍ől \
			rh[NR]=substr($0,101,3)                  # CH̃W \
			rd[NR]=substr($0,105,3)                  # CD̃W \
			rz[NR]=substr($0,109,3)                  # CZ̃W \
	    }\
		}\
		END{ # -----------------------------------------t@Co \
		    if(site=="KAK"){id=1}\
		    if(site=="MMB"){id=2}\
		    if(site=="KNY"){id=3}\
			for(i=2;i<=NR;i++){\
			    if(m[i]>id){exit}\
			    if(m[i]==id && obs[i]!="   " && year[i]!=0 && year[i]!=1){\
				if(flg==0){\
				    print "<tr align=\"center\" bgcolor=\"#ffffee\">"\
				    flg=1\
				    print flg >> site"flg.tmp"\
				} else {\
				    print "<tr align=\"center\" bgcolor=\"#ffffe6\">"\
				    flg=0\
				    print flg >> site"flg.tmp"\
				}\
				print "<td height=\"16\">"mname[month[i]+0],bday[i]"</td>"\
				print "<td>"btime[i]"</td>"\
				if(mtime[i]=="       "){mtime[i]="-"}\
				printf("<td>%7s",mtime[i])\
				for(j=1;j<nmtime[i];j++){\
				    printf("<br>%7s",mtime[i+j])\
				}\
				print "</td>"\
				if(rtime[i]=="       "){rtime[i]="-"}\
				printf("<td>%7s",rtime[i])\
				for(j=1;j<nrtime[i];j++){\
				    printf("<br>%7s",rtime[i+j])\
				}\
				print "</td>"\
     				if(etime[i]=="     "){etime[i]="-"}\
				print "<td>"etime[i]"</td>"\
				if(type[i]=="   "){type[i]="-"}\
				print "<td>"type[i]"</td>"\
				if(q[i]==" "){q[i]="-"}\
				print "<td>"q[i]"</td>"\
#\
				if(hamp[i]=="     "){hamp[i]="-"}\
				printf("<td>%5s",hamp[i])\
				for(j=1;j<nhamp[i];j++){\
				    printf("<br>%5s",hamp[i+j])\
				}\
				print "</td>"\
#\
				if(hdur[i]=="  "){hdur[i]="-"}\
				printf("<td>%5s",hdur[i])\
				for(j=1;j<nhamp[i];j++){\
				    printf("<br>%5s",hdur[i+j])\
				}\
				print "</td>"\
				if(damp[i]=="     "){damp[i]="-"}\
				printf("<td>%5s",damp[i])\
				for(j=1;j<ndamp[i];j++){\
				    printf("<br>%5s",damp[i+j])\
				}\
				print "</td>"\
				if(ddur[i]=="  "){ddur[i]="-"}\
				printf("<td>%5s",ddur[i])\
				for(j=1;j<ndamp[i];j++){\
				    printf("<br>%5s",ddur[i+j])\
				}\
				print "</td>"\
				if(zamp[i]=="     "){zamp[i]="-"}\
				printf("<td>%5s",zamp[i])\
				for(j=1;j<nzamp[i];j++){\
				    printf("<br>%5s",zamp[i+j])\
				}\
				print "</td>"\
				if(zdur[i]=="  "){zdur[i]="-"}\
				printf("<td>%5s",zdur[i])\
				for(j=1;j<nzamp[i];j++){\
				    printf("<br>%5s",zdur[i+j])\
				}\
				print "</td>"\
				if(da[i]=="  "){da[i]="-"}\
				print "<td>"da[i]"</td>"\
#\
				if(maxd[i]+0==0){maxd[i]="-"}\
				printf("<td>%2s",maxd[i])\
				for(j=1;j<nmaxd[i];j++){\
				    printf("<br>%2s",maxd[i+j])\
				}\
				print "</td>"\
#\
				if(max3[1,i]+0==0){max3[1,i]="-"}\
				printf("<td>%1s",max3[1,i])\
				for(j=2;j<=8;j++){\
				    if(max3[j,i]!=" "){printf(",%1s",max3[j,i])}\
				}\
				for(k=1;k<nmaxd[i];k++){\
				    printf("<br>%1s",max3[1,i+k])\
				    for(j=2;j<=8;j++){\
#					if(max3[j,i+k]!=" " || max3[j,i+k]!=""){printf(",%1s",max3[j,i+k])}\
					if(max3[j,i+k]>0){printf(",%1s",max3[j,i+k])}\
				    }\
				}\
				print "</td>"\
				if(maxk[i]+0==0){maxk[i]="-"}\
				print "<td>"maxk[i]"</td>"\
				if(rh[i]=="   "){rh[i]="-"}\
				print "<td>"rh[i]"</td>"\
				if(rd[i]=="   "){rd[i]="-"}\
				print "<td>"rd[i]"</td>"\
				if(rz[i]=="   "){rz[i]="-"}\
				print "<td>"rz[i]"</td>"\
				print "</tr>"\
			    }\
			}\
		} ' "site=$obs" "flg=$flg" $ifile >> mstorm$obs.tmp
	end
    endif
    echo -n "|"
end
set i=`cat mstormKAK.tmp`
set j=`cat mstormMMB.tmp`
set k=`cat mstormKNY.tmp`

# HTMLt@C̏C -----------------------------------------
if($#i == 0)echo \<td colspan="20" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> mstormKAK.tmp
if($#j == 0)echo \<td colspan="20" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> mstormMMB.tmp
if($#k == 0)echo \<td colspan="20" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> mstormKNY.tmp

echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Kakioka\</font\>\</b\>\</td\> >> kak.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> kak.tmp
cat mstorm.1 kak.tmp mstorm.2 mstormKAK.tmp mstorm.3 >! $odir/yearbook/tab/rv/mstorm$yyyy"kak".html
echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Memambetsu\</font\>\</b\>\</td\> >> mmb.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> mmb.tmp
cat mstorm.1 mmb.tmp mstorm.2 mstormMMB.tmp mstorm.3 >! $odir/yearbook/tab/rv/mstorm$yyyy"mmb".html
echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Kanoya\</font\>\</b\>\</td\> >> kny.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> kny.tmp
cat mstorm.1 kny.tmp mstorm.2 mstormKNY.tmp mstorm.3 >! $odir/yearbook/tab/rv/mstorm$yyyy"kny".html


echo "|"
\rm *.tmp





