#! /usr/bin/csh -f
#
# @\@@F Tables & Figures -- pcXgy[W̍쐬
# s@F pc.csh [N] [fBNg]
#

# ϐ̐ݒ ----------------------------------------------
set yyyy=$argv[1]
set dir=$argv[2]
set rv=pc
set odir=$dir"/AnnualReport"$yyyy

# tO̐ݒ --------------------------------------------
echo 0 >! KAKflg.tmp
echo 0 >! MMBflg.tmp
echo 0 >! KNYflg.tmp

# Xgy[W̍쐬 ---------------------------------------
foreach mm (01 02 03 04 05 06 07 08 09 10 11 12)
    set ifile=/db/rv/$rv$yyyy/$rv$yyyy$mm.dat
    if (-f $ifile) then
	foreach obs (KAK MMB KNY)
            set flg=`awk '{chk=$1}END{print chk+0}' $obs"flg.tmp"`
	    awk ' \
		BEGIN{\
		    mname[1]="Jan."                               # N̖O̐ݒ \
		    mname[2]="Feb."\
		    mname[3]="Mar."\
		    mname[4]="Apr."\
		    mname[5]="May"\
		    mname[6]="Jun."\
		    mname[7]="Jul."\
		    mname[8]="Aug."\
		    mname[9]="Sep."\
		    mname[10]="Oct."\
		    mname[11]="Nov."\
		    mname[12]="Dec."\
		}\
		{\
		    if(NR>1){ # --------------------------------- t@Cl̓ǂݍ\
			obs[NR]=substr($0,1,3)                     # ϑ_ \
			    if(obs[NR]=="KAK"){m[NR]=1}\
			    if(obs[NR]=="MMB"){m[NR]=2}\
			    if(obs[NR]=="KNY"){m[NR]=3}\
			    if(obs[NR]=="   "){m[NR]=m[NR-1]}\
			year[NR]=substr($0,5,4)                    # N \
			    if(year[NR]=="   0"){next}\
			    if(year[NR]=="   1"){next}\
			month[NR]=substr($0,10,2)                  #  \
			bday[NR]=substr($0,13,2)                   # Jn \
			eday[NR]=substr($0,16,2)                   # I \
			cls[NR]=substr($0,19,3)                    # ^Cv \
			nbtimel[NR]=substr($0,37,2)                # Whole phenomenon̊Jň \
			btimel[NR]=substr($0,39,5)                 # Whole phenomenon̊Jn \
			etimel[NR]=substr($0,45,5)                 # Whole phenomenon̏I \
			ql[NR]=substr($0,51,1)                     # Whole phenomenonQuality \
			lday[NR]=substr($0,53,2)                   # Largest oscillation̊Jn \
			ltime[NR]=substr($0,56,5)                  # Largest oscillation̊Jn \
			pl[NR]=substr($0,62,3)                     # Largest oscillation̎ \
			plx[NR]=substr($0,66,5)                    # X̐U \
			ply[NR]=substr($0,72,5)                    # Y̐U \
			plz[NR]=substr($0,78,5)                    # Z̐U \
		    }\
		}\
		END{ # ------------------------------------------ t@Co \
		    if(site=="KAK"){id=1}\
		    if(site=="MMB"){id=2}\
		    if(site=="KNY"){id=3}\
			for(i=2;i<=NR;i++){\
			    if(m[i]>id){exit}\
			    if(m[i]==id && obs[i]!="   " && year[i]!=0 && year[i]!=1 && ql[i]!="C"){\
                                if(flg==0){\
                                    print "<tr align=\"center\" bgcolor=\"#ffffee\">"\
                                    flg=1\
                                    print flg >> site"flg.tmp"\
                                } else {\
                                    print "<tr align=\"center\" bgcolor=\"#ffffe6\">"\
                                    flg=0\
                                    print flg >> site"flg.tmp"\
                                }\
				print "<td height=\"16\">"mname[month[i]+0],bday[i]"-"eday[i]"</td>"\
				if(cls[i]=="   "){cls[i]="&nbsp"}\
				print "<td>pc",cls[i]"</td>"\
				if(btimel[i]=="     " || btimel[i]==""){btimel[i]="&nbsp;"}\
				printf("<td>%5s",btimel[i])\
				for(j=1;j<nbtimel[i];j++){\
				    if(btimel[i+j]=="     " || btimel[i+j]==""){btimel[i+j]="&nbsp;"}\
				    printf("<br>%5s",btimel[i+j])\
				}\
				print "</td>"\
				if(etimel[i]=="     " || etimel[i]==""){etimel[i]="&nbsp;"}\
				printf("<td>%5s",etimel[i])\
				for(j=1;j<nbtimel[i];j++){\
				    if(etimel[i+j]=="     " || etimel[i+j]==""){etimel[i+j]="&nbsp;"}\
				    printf("<br>%5s",etimel[i+j])\
				}\
				print "</td>"\
				if(ql[i]==" " || ql[i]==""){ql[i]="&nbsp;"}\
				printf("<td>%1s",ql[i])\
				for(j=1;j<nbtimel[i];j++){\
				    if(ql[i+j]==" " || ql[i+j]==""){ql[i+j]="&nbsp;"}\
				    printf("<br>%1s",ql[i+j])\
				}\
				print "</td>"\
				if(lday[i]==" " || lday[i]==""){lday[i]="&nbsp;"}\
				if(ltime[i]=="     " || ltime[i]==""){ltime[i]="&nbsp;"}\
				printf("<td>%2s %5s",lday[i],ltime[i])\
				for(j=1;j<nbtimel[i];j++){\
				    if(lday[i+j]==" " || lday[i+j]==""){lday[i+j]="&nbsp;"}\
				    if(ltime[i+j]=="     " || ltime[i+j]==""){ltime[i+j]="&nbsp;"}\
				printf("<br>%2s %5s",lday[i+j],ltime[i+j])\
				}\
				print "</td>"\
				if(pl[i]=="   " || pl[i]==""){pl[i]="&nbsp;"}\
				printf("<td>%3s",pl[i])\
				for(j=1;j<nbtimei[i];j++){\
				    if(pl[i+j]=="   " || pl[i+j]==""){pl[i+j]="&nbsp;"}\
				    printf("<br>%3s",pl[i+j])\
				}\
				print "</td>"\
				if(plx[i]=="     " || plx[i]==""){plx[i]="&nbsp;"}\
				printf("<td>%5s",plx[i])\
				for(j=1;j<nbtimei[i];j++){\
				    if(plx[i+j]=="     " || plx[i+j]==""){plx[i+j]="&nbsp;"}\
				    printf("<br>%1s",plx[i+j])\
				}\
				print "</td>"\
				if(ply[i]=="     " || ply[i]==""){ply[i]="&nbsp;"}\
				printf("<td>%5s",ply[i])\
				for(j=1;j<nbtimei[i];j++){\
				    if(ply[i+j]=="     " || ply[i+j]==""){ply[i+j]="&nbsp;"}\
				    printf("<br>%1s",ply[i+j])\
				}\
				print "</td>"\
				if(plz[i]=="     " || plz[i]==""){plz[i]="&nbsp;"}\
				printf("<td>%5s",plz[i])\
				for(j=1;j<nbtimei[i];j++){\
				    if(plz[i+j]=="     " || plz[i+j]==""){plz[i+j]="&nbsp;"}\
				    printf("<br>%1s",plz[i+j])\
				}\
				print "</td>"\
                                printf("<td>")\
                                month[i]=month[i]+0\
                                bday[i]=bday[i]+0\
                                if(month[i]<10){\
                                    mchar[i]="0"month[i]\
                                }\
                                else {\
                                    mchar[i]=month[i]\
                                }\
                                if(bday[i]<10){\
                                    dchar[i]="0"bday[i]\
                                }\
                                else {\
                                    dchar[i]=bday[i]\
                                }\
                                mpfile[i]="mp"year[i]mchar[i]dchar[i]"evec.html"\
                                dbfile[i]="/db/mp/mp"year[i]"/event/mp"year[i]mchar[i]dchar[i]"evec.jpg"\
                                chk=getline < dbfile[i]\
				if(chk!="1"){\
				    for(j=-5;j<6;j++){\
					dchar[i]=dchar[i]-j\
					if(dchar[i]<10){dchar[i]="0"dchar[i]}\
					mpfile[i]="mp"year[i]mchar[i]dchar[i]"evec.html"\
					dbfile[i]="/db/mp/mp"year[i]"/event/mp"year[i]mchar[i]dchar[i]"evec.jpg"\
					chk=getline < dbfile[i]\
					if(chk=="1"){break}\
				     }\
				}\
                                if(chk=="1"){printf("<a href=\"../../fig/mp/event/%18s\">figure</a>",mpfile[i])}\
                                if(chk!="1"){printf("&nbsp;")}\
                                print "</td>"\
 			    }\
			}\
		} ' "site=$obs" "flg=$flg" $ifile >> pc$obs.tmp
	end
    endif
    echo -n "|"
end

set i=`cat pcKAK.tmp`
set j=`cat pcMMB.tmp`
set k=`cat pcKNY.tmp`

# HTMLt@C̏C --------------------------------------------------------------------
if($#i == 0)echo \<td colspan="10" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> pcKAK.tmp
if($#j == 0)echo \<td colspan="10" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> pcMMB.tmp
if($#k == 0)echo \<td colspan="10" align="center"\>\<b\>\<i\>none\</i\>\</b\>\</td\> >> pcKNY.tmp

echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Kakioka\</font\>\</b\>\</td\> >> kak.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> kak.tmp
cat pc.1 kak.tmp pc.2 pcKAK.tmp pc.3 >! $odir/yearbook/tab/rv/pc$yyyy"kak".html
echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Memambetsu\</font\>\</b\>\</td\> >> mmb.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> mmb.tmp
cat pc.1 mmb.tmp pc.2 pcMMB.tmp pc.3 >! $odir/yearbook/tab/rv/pc$yyyy"mmb".html
echo \<td width=\"50%\" align=\"left\"\>\<b\>\<font color="#000080" size="4"\>Kanoya\</font\>\</b\>\</td\> >> kny.tmp
echo \<td width=\"50%\" align=\"right\"\>\<b\>\<font color="#000080" size="4"\>$yyyy\</font\>\</b\>\</td\>  >> kny.tmp
cat pc.1 kny.tmp pc.2 pcKNY.tmp pc.3 >! $odir/yearbook/tab/rv/pc$yyyy"kny".html

echo "|"
\rm *.tmp



